Internet Explorer PHP User Agent

Alte Internet Explorer Versionen mit PHP User Agent ansprechen

PHP Browserweiche für alte Internet Explorer Versionen

Der Internet Explorer 10 ist im Vergleich zu den vorherigen Versionen relativ pflegeleicht was HTML und CSS angeht. Alle Versionen davor haben gravierende Schwachstellen. Mit PHP lassen sich bei älteren Versionen Hinweistexte für Updates oder Fixes aussteuern. Im Internet Explorer 10 und neueren Browsern wird dieser Text nicht ausgegeben:

Internet Explorer bis zum Internet Explorer 9 ansprechen

<?php
if(preg_match('/(?i)msie [1-9]{1}\./',$_SERVER['HTTP_USER_AGENT'])) {
    echo 'Dein Browser ist veraltet!';
}
?>
Impressum